Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.webspheremqadapter.message
Interface IMessage

All Superinterfaces:
  com.stc.connector.persistence.bpel.PersistableData

All Known Implementing Classes:
  Message

    public interface IMessage

extends com.stc.connector.persistence.bpel.PersistableData

Represents a WebSphere MQ message. MQ messages that a WebSphere MQ eWay, in receive mode, passes to Java Collaborations, are objects that implement this interface.

For a Java Collaboration utilizing the WebSphere MQ eWay in non-receive (non-trigger) mode, the interface represents the Message portion of the eWay OTD.

Version:
  $Revision: 1.5 $

Nested Class Summary
`static interface` | `IMessage.MsgBody` The data (buffer) portion of a `IMessage`.
`static interface` | `IMessage.MsgHeader` Represents the descriptor portion of a Message.

Method Summary
`void` | `assignEwayConfiguration(MQClientConfiguration cfg)` Associates an eWay configuration set to this message, for the purpose of giving users access to the eWay configuration.
`void` | `assignSyncpointController(ISyncpointControl sc)` Associates a syncpoint controller to this message, for the purpose of giving users access to a restricted representation of the controller at a later time, in order to roll back or commit the message.
`void` | `clearMessage()` Discards data in the message buffer and reset the data offset to zero.
`int` | `getDataLength()` Reports the number of bytes of data remaining to be read in the message.
`int` | `getDataOffset()` Returns the current position of the cursor within the message.
`EwayConfiguration` | `getEwayConfiguration()` Obtains a reference to the configuration object of the eWay that is associated with the message.
`int` | `getMessageLength()` Reports the total number of bytes in the stored message on the queue.
`IMessage.MsgBody` | `getMsgBody()` Obtain a reference to the MsgBody object representing the Message's content.
`IMessage.MsgHeader` | `getMsgHeader()` Obtains a reference to the MsgHeader object representing the message's descriptor.
`ISyncpointControl` | `getSyncpointController()` Retrieves the syncpoint controller associated to this Message.
`int` | `getTotalMessageLength()` If MQQueue.get() fails with a message-truncated error code, getTotalMessageLength() reports the total number of bytes in the stored message on the queue.
`boolean` | `readBoolean()` Reads a (signed) byte from the present position in the message buffer.
`byte` | `readByte()` Reads a byte from the present position in the message buffer.
`char` | `readChar()` Reads a Unicode character from the present position in the message buffer.
`short` | `readDecimal2()` Reads a 2-byte packed decimal number (-999 to 999).
`int` | `readDecimal4()` Reads a 4-byte packed decimal number (-9999999 to 9999999).
`long` | `readDecimal8()` Reads an 8-byte packed decimal number (-999999999999999 to 999999999999999).
`double` | `readDouble()` Reads a double from the present position in the message buffer.
`float` | `readFloat()` Reads a float from the present position in the message buffer.
`void` | `readFully(byte[] buffer)` Fills the byte array with data from the message buffer.
`void` | `readFully(byte[] buffer, int offset, int len)` Fills the len elements of the byte array b with data from the message buffer, starting at offset off.
`int` | `readInt()` Reads an integer from the present position in the message buffer.
`short` | `readInt2()` Equivalent to readshort(), but readInt2 is provided for cross-language MQSeries API compatibility.
`int` | `readInt4()` Equivalent to readInt(), but readInt4 is provided for cross-language MQSeries API compatibility.
`long` | `readInt8()` Equivalent to readlong(), but readInt8 is provided for cross-language MQSeries API compatibility.
`java.lang.String` | `readLine()` Converts from the codeset defined in the characterSet member variable to Unicode, then reads in a line that has been terminated by \n, \r, \r\n, or EOF.
`long` | `readLong()` Reads a long from the present position in the message buffer.
`java.lang.Object` | `readObject()` Reads an object, its class, class signature, and the value of the non-transient and nonstatic fields of the class.
`short` | `readShort()` Reads a short from the present position in the message buffer.
`java.lang.String` | `readString(int length)` Reads a string in the codeset defined by the characterSet member variable.
`int` | `readUInt2()` Equivalent to readUnsignedShort(), but readUInt2 is provided for cross-language MQSeries API compatibility.
`int` | `readUnsignedByte()` Reads an unsigned byte from the present position in the message buffer.
`int` | `readUnsignedShort()` Reads an unsigned short from the present position in the message buffer.
`java.lang.String` | `readUTF()` Reads a UTF string, prefixed by a 2-byte length field, from the present position in the message buffer.
`void` | `resizeBuffer(int size)` Clues the MQMessage object as to the size of buffer that may be necessary for subsequent get operations.
`void` | `seek(int pos)` Relocates the cursor to the absolute position in the message buffer given by pos.
`void` | `setDataOffset(int offset)` Relocates the cursor to the absolute position in the message buffer.
`void` | `setVersion(int version)` Sets the version of the structure to be used.
`int` | `skipBytes(int numberOfBytes)` Advances n bytes in the message buffer.
`void` | `write(byte[] byteArray)` Writes a byte, an array of bytes, or a series of bytes into the message buffer at the present position.
`void` | `write(byte[] byteArray, int offset, int len)` Writes a byte, an array of bytes, or a series of bytes into the message buffer at the present position.
`void` | `write(int byteValue)` Writes a byte, an array of bytes, or a series of bytes into the message buffer at the present position.
`void` | `writeBoolean(boolean boolValue)` Writes a Boolean into the message buffer at the present position.
`void` | `writeByte(int byteValue)` Writes a byte into the message buffer at the present position.
`void` | `writeBytes(java.lang.String stringValue)` Writes the string to the message buffer as a sequence of bytes.
`void` | `writeChar(int unicodeChar)` Writes a Unicode character into the message buffer at the present position.
`void` | `writeChars(java.lang.String str)` Writes a string as a sequence of Unicode characters into the message buffer at the current position.
`void` | `writeDecimal2(short decimal2Value)` Writes a 2-byte packed decimal format number into the message buffer at the present position.
`void` | `writeDecimal4(int decimal4Value)` Writes an 4-byte packed decimal format number into the message buffer at the present position.
`void` | `writeDecimal8(long decimal8Value)` Writes an 8-byte packed decimal format number into the message buffer at the present position.
`void` | `writeDouble(double doubleValue)` Writes a double into the message buffer at the present position.
`void` | `writeFloat(float floatValue)` Writes a float into the message buffer at the present position.
`void` | `writeInt(int intValue)` Writes an integer into the message buffer at the present position.
`void` | `writeInt2(int shortValue)` Writes an integer into the message buffer at the present position.
`void` | `writeInt4(int intValue)` Writes an integer into the message buffer at the present position.
`void` | `writeInt8(long longValue)` Writes an integer into the message buffer at the present position.
`void` | `writeLong(long longValue)` Writes a long into the message buffer at the present position.
`void` | `writeObject(java.lang.Object objValue)` Writes the specified object, object class, class signature, and the values of the nontransient and non-static fields of the class and all its supertypes.
`void` | `writeShort(int shortValue)` Writes a short into the message buffer at the present position.
`void` | `writeString(java.lang.String strValue)` Writes a string into the message buffer at the present position, converting it to the codeset identified by the characterSet member variable.
`void` | `writeUTF(java.lang.String utfString)` Writes a UTF string, prefixed by a 2-byte length field, into the message buffer at the present position.

Methods inherited from interface com.stc.connector.persistence.bpel.PersistableData
`persist, restore`

Method Detail

### getMsgBody

    IMessage.MsgBody getMsgBody()

  Obtain a reference to the MsgBody object representing the Message's content.

  Parameters:
    None.

  Returns:
    MsgBody object for the Message.
  Throws:
    None.
  See Also:
    `IMessage.MsgBody`

### getMsgHeader

    IMessage.MsgHeader getMsgHeader()

  Obtains a reference to the MsgHeader object representing the message's descriptor.

  Parameters:
    None.

  Returns:
    MsgHeader object for the Message.
  Throws:
    None.
  See Also:
    `Message.MsgHeader`

### getEwayConfiguration

    EwayConfiguration getEwayConfiguration()

  Obtains a reference to the configuration object of the eWay that is associated with the message.

  Parameters:
    None.

  Returns:
    Message's eWay Configuration object
  Throws:
    None.

### assignSyncpointController

    void assignSyncpointController(ISyncpointControl sc)

  Associates a syncpoint controller to this message, for the purpose of giving users access to a restricted representation of the controller at a later time, in order to roll back or commit the message.

  Parameters:

    Parameters:
      `sc` - The syncpoint controller.

  ### assignEwayConfiguration

      void assignEwayConfiguration(MQClientConfiguration cfg)

    Associates an eWay configuration set to this message, for the purpose of giving users access to the eWay configuration.

    Parameters:

      Parameters:
        `cfg` - eWay configuration object

  ### getSyncpointController

      ISyncpointControl getSyncpointController()

    Retrieves the syncpoint controller associated to this Message. May be `null`.

    Parameters:
      None.

    Returns:
      `ISyncpointControl` - Returns the syncpoint controller.
    Throws:
      None.

  ### getTotalMessageLength

      int getTotalMessageLength()

    If MQQueue.get() fails with a message-truncated error code, getTotalMessageLength() reports the total number of bytes in the stored message on the queue.

    Parameters:
      None.

    Returns:
      `int` - Returns the total message length.
    Throws:
      None.
    See Also:
      `MQMessage.getTotalMessageLength()`

  ### getMessageLength

      int getMessageLength()
                           throws java.io.IOException

    Reports the total number of bytes in the stored message on the queue.

    Parameters:
      None.

    Returns:
      `int` - Returns the total number of bytes in the stored message on the queue
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.getMessageLength()`

  ### getDataLength

      int getDataLength()
                        throws java.io.IOException

    Reports the number of bytes of data remaining to be read in the message.

    Parameters:
      None.

    Returns:
      `int` - Returns the number of bytes of data remaining to be read in the message.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.getDataLength()`

  ### seek

      void seek(int pos)
                throws java.io.IOException

    Relocates the cursor to the absolute position in the message buffer given by pos. Any further reads and writes act at this position in the buffer.

    Parameters:
      `pos` - Gives the absolute position in the message buffer.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.seek(int)`

  ### setDataOffset

      void setDataOffset(int offset)
                         throws java.io.IOException

    Relocates the cursor to the absolute position in the message buffer. setDataOffset() is equivalent to seek(), allowing for cross-language compatibility with the other WebSphere MQ APIs.

    Parameters:
      `offset` - Gives the absolute position in the message buffer.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.setDataOffset(int)`

  ### getDataOffset

      int getDataOffset()
                        throws java.io.IOException

    Returns the current position of the cursor within the message. This is the point at which read and write operations take effect.

    Parameters:
      None.

    Returns:
      `int` - Returns the current cursor position.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.getDataOffset()`

  ### clearMessage

      void clearMessage()
                        throws java.io.IOException

    Discards data in the message buffer and reset the data offset to zero.

    Parameters:
      None.

    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.clearMessage()`

  ### resizeBuffer

      void resizeBuffer(int size)
                        throws java.io.IOException

    Clues the MQMessage object as to the size of buffer that may be necessary for subsequent get operations. When a message contains message data and the new size is less than the current size, the message data is truncated.

    Parameters:
      `size` - The size of the buffer.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.resizeBuffer(int)`

  ### readBoolean

      boolean readBoolean()
                          throws java.io.EOFException,
                                 java.io.IOException

    Reads a (signed) byte from the present position in the message buffer.

    Parameters:
      None.

    Returns:
      `Boolean` - Returns a byte from the current position in the message buffer.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readBoolean()`

  ### readByte

      byte readByte()
                    throws java.io.IOException,
                           java.io.EOFException

    Reads a byte from the present position in the message buffer.

    Parameters:
      None.

    Returns:
      `byte` - Returns a byte from the current position in the message buffer.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readByte()`

  ### readChar

      char readChar()
                    throws java.io.EOFException,
                           java.io.IOException

    Reads a Unicode character from the present position in the message buffer.

    Parameters:
      None.

    Returns:
      `char` - Returns a unicode character from the current position in the message buffer.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readChar()`

  ### readDouble

      double readDouble()
                        throws java.io.EOFException,
                               java.io.IOException

    Reads a double from the present position in the message buffer. Actions are determined by the value of the encoding member variable.

    Parameters:
      None.

    Returns:
      `double` - Returns a double from the current position in the message buffer.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readDouble()`

  ### readFloat

      float readFloat()
                      throws java.io.EOFException,
                             java.io.IOException

    Reads a float from the present position in the message buffer. Actions are determined by the value of the encoding member variable.

    Parameters:
      None.

    Returns:
      `float` - Returns a float from the present position in the message buffer.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readFloat()`

  ### readFully

      void readFully(byte[] buffer)
                     throws java.io.EOFException,
                            java.io.IOException

    Fills the byte array with data from the message buffer.

    Parameters:
      `buffer` - Data from the message buffer.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readFully(byte[])`

  ### readFully

      void readFully(byte[] buffer,
                     int offset,
                     int len)
                     throws java.io.EOFException,
                            java.io.IOException

    Fills the len elements of the byte array b with data from the message buffer, starting at offset off.

    Parameters:
      `buffer` - Fills the byte array with data from the message buffer.
      `offset` - The offset at which the fill starts.
      `len` - Fills len elements of the byte array with data from the message buffer.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readFully(byte[], int, int)`

  ### readInt

      int readInt()
                  throws java.io.EOFException,
                         java.io.IOException

    Reads an integer from the present position in the message buffer. Actions are determined by the value of the encoding member variable.

    A value of MQC.MQENC_INTEGER_NORMAL reads a big-endian integer, a value of MQC.MQENC_INTEGER_REVERSED reads a little-endian integer.

    Parameters:
      None.

    Returns:
      `int` - Returns an integer from the current position in the message buffer.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readInt()`

  ### readInt4

      int readInt4()
                   throws java.io.EOFException,
                          java.io.IOException

    Equivalent to readInt(), but readInt4 is provided for cross-language MQSeries API compatibility.

    Parameters:
      None.

    Returns:
      `int` - Returns an integer from the current position in the message buffer.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readInt4()`

  ### readLine

      java.lang.String readLine()
                                throws java.io.IOException

    Converts from the codeset defined in the characterSet member variable to Unicode, then reads in a line that has been terminated by \n, \r, \r\n, or EOF.

    Parameters:
      None.

    Returns:
      `String` - Returns the unicode characterSet.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readLine()`

  ### readLong

      long readLong()
                    throws java.io.EOFException,
                           java.io.IOException

    Reads a long from the present position in the message buffer. Actions are determined by the value of the encoding member variable.

    A value of MQC.MQENC_INTEGER_NORMAL reads a big-endian long, a value of MQC.MQENC_INTEGER_REVERSED reads a little-endian long.

    Parameters:
      None.

    Returns:
      `long` - Returns a long from the present position in the message buffer.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readLong()`

  ### readInt8

      long readInt8()
                    throws java.io.EOFException,
                           java.io.IOException

    Equivalent to readlong(), but readInt8 is provided for cross-language MQSeries API compatibility.

    Parameters:
      None.

    Returns:
      `long` - Returns a long from the present position in the message buffer.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readInt8()`

  ### readObject

      java.lang.Object readObject()
                                  throws java.lang.ClassNotFoundException,
                                         java.io.InvalidClassException,
                                         java.io.StreamCorruptedException,
                                         java.io.OptionalDataException,
                                         java.io.IOException

    Reads an object, its class, class signature, and the value of the non-transient and nonstatic fields of the class.

    Parameters:
      None.

    Returns:
      `object` - Returns an object, its class, class signature, and vield value.
    Throws:
      `java.lang.ClassNotFoundException` - Thrown when an error occurs.
      `java.io.InvalidClassException` - Thrown when an error occurs.
      `java.io.StreamCorruptedException` - Thrown when an error occurs.
      `java.io.OptionalDataException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readObject()`

  ### readShort

      short readShort()
                      throws java.io.EOFException,
                             java.io.IOException

    Reads a short from the present position in the message buffer. Actions are determined by the value of the encoding member variable.

    A value of MQC.MQENC_INTEGER_NORMAL reads a big-endian short, a value of MQC.MQENC_INTEGER_REVERSED reads a little-endian short.

    Parameters:
      None.

    Returns:
      `short` - Returns a short from the present position in the message buffer.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readShort()`

  ### readInt2

      short readInt2()
                     throws java.io.EOFException,
                            java.io.IOException

    Equivalent to readshort(), but readInt2 is provided for cross-language MQSeries API compatibility.

    Parameters:
      None.

    Returns:
      `short` - Returns a short from the present position in the message buffer.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readInt2()`

  ### readUTF

      java.lang.String readUTF()
                               throws java.io.IOException

    Reads a UTF string, prefixed by a 2-byte length field, from the present position in the message buffer.

    Parameters:
      None.

    Returns:
      `String` - Returns a UTF String, beginning with a 2-byte length field, from the present position in the message buffer.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readUTF()`

  ### readUnsignedByte

      int readUnsignedByte()
                           throws java.io.EOFException,
                                  java.io.IOException

    Reads an unsigned byte from the present position in the message buffer.

    Parameters:
      None.

    Returns:
      `int` - Returns an unsigned byte from the present position in the message buffer.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readUnsignedByte()`

  ### readUnsignedShort

      int readUnsignedShort()
                            throws java.io.EOFException,
                                   java.io.IOException

    Reads an unsigned short from the present position in the message buffer. Actions are determined by the value of the encoding member variable.

    A value of MQC.MQENC_INTEGER_NORMAL reads a big-endian unsigned short, a value of MQC.MQENC_INTEGER_REVERSED reads a little-endian unsigned short.

    Parameters:
      None.

    Returns:
      `int` - Returns an unsigned byte from the present position in the message buffer.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readUnsignedShort()`

  ### readUInt2

      int readUInt2()
                    throws java.io.EOFException,
                           java.io.IOException

    Equivalent to readUnsignedShort(), but readUInt2 is provided for cross-language MQSeries API compatibility.

    Parameters:
      None.

    Returns:
      `int` - Returns an unsigned int from the present position in the message buffer.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readUInt2()`

  ### readString

      java.lang.String readString(int length)
                                  throws java.io.EOFException,
                                         java.io.IOException

    Reads a string in the codeset defined by the characterSet member variable. Convert the string into Unicode.

    Parameters:
      `length` - The number of characters to read (not the same as the number of bytes).
    Returns:
      `String` - Returns the Unicode value of the string in the codeset defined by the characterSet member variable.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readString(int)`

  ### readDecimal2

      short readDecimal2()
                         throws java.io.EOFException,
                                java.io.IOException

    Reads a 2-byte packed decimal number (-999 to 999). Actions are determined by the value of the encoding member variable.

    Parameters:
      None.

    Returns:
      `short` - Returns a 2-byte packed decimal number.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readDecimal2()`

  ### readDecimal4

      int readDecimal4()
                       throws java.io.EOFException,
                              java.io.IOException

    Reads a 4-byte packed decimal number (-9999999 to 9999999). Actions are determined by the value of the encoding member variable.

    A value of MQC.MQENC_DECIMAL_NORMAL reads a big-endian packed decimal number, and a value of MQC.MQENC_DECIMAL_REVERSED reads a little-endian packed decimal number.

    Parameters:
      None.

    Returns:
      `int` - Returns a 4-byte packed decimal number.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readDecimal4()`

  ### readDecimal8

      long readDecimal8()
                        throws java.io.EOFException,
                               java.io.IOException

    Reads an 8-byte packed decimal number (-999999999999999 to 999999999999999). Actions are determined by the value of the encoding member variable.

    A value of MQC.MQENC_DECIMAL_NORMAL reads a big-endian packed decimal number, and a value of MQC.MQENC_DECIMAL_REVERSED reads a little-endian packed decimal number.

    Parameters:
      None.

    Returns:
      `long` - Returns an 8-byte packed decimal number.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.readDecimal8()`

  ### setVersion

      void setVersion(int version)
                      throws MQException

    Sets the version of the structure to be used. Values may include MQC.MQMD_VERSION_1 or MQC.MQMD_VERSION_2.

    This method is used when it is necessary to force a client to use a version 1 structure when connected to a queue manager that is able to handling version 2 structures. In all other situations, the client determines the correct version by querying the queue manager's capabilities.

    Parameters:
      `version` - The version number.
    Throws:
      `MQException` - Thrown when an error occurs.
    See Also:
      `MQMD.setVersion(int)`

  ### skipBytes

      int skipBytes(int numberOfBytes)
                    throws java.io.EOFException,
                           java.io.IOException

    Advances n bytes in the message buffer. Block until all the bytes are skipped, the end of message buffer is detected, or an exception is thrown.

    Parameters:
      `numberOfBytes` - Move forward n bytes in the message buffer.
    Returns:
      `int` - Returns the number of bytes skipped, which is always n.
    Throws:
      `java.io.EOFException` - Thrown when an error occurs.
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.skipBytes(int)`

  ### write

      void write(int byteValue)
                 throws java.io.IOException

    Writes a byte, an array of bytes, or a series of bytes into the message buffer at the present position. len bytes are written, taken from offset off in the array b.

    Parameters:
      `byteValue` - The number of characters to read (not the same as the number of bytes).
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.write(int)`

  ### write

      void write(byte[] byteArray)
                 throws java.io.IOException

    Writes a byte, an array of bytes, or a series of bytes into the message buffer at the present position. len bytes are written, taken from offset off in the array b.

    Parameters:
      `byteArray` - The number of characters to read (not the same as the number of bytes).
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.write(byte[])`

  ### write

      void write(byte[] byteArray,
                 int offset,
                 int len)
                 throws java.io.IOException

    Writes a byte, an array of bytes, or a series of bytes into the message buffer at the present position. len bytes are written, taken from offset off in the array b.

    Parameters:
      `byteArray` - The number of characters to read (not the same as the number of bytes).
      `offset` - The offset in the array.
      `len` - The number of bytes to be written.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.write(byte[], int, int)`

  ### writeBoolean

      void writeBoolean(boolean boolValue)
                        throws java.io.IOException

    Writes a Boolean into the message buffer at the present position.

    Parameters:
      `boolValue` - The Boolean value.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.writeBoolean(boolean)`

  ### writeByte

      void writeByte(int byteValue)
                     throws java.io.IOException

    Writes a byte into the message buffer at the present position.

    Parameters:
      `byteValue` - The byte value.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.writeByte(int)`

  ### writeBytes

      void writeBytes(java.lang.String stringValue)
                      throws java.io.IOException

    Writes the string to the message buffer as a sequence of bytes. Each character is written out in sequence by discarding its high eight bits.

    Parameters:
      `stringValue` - The String value.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.writeBytes(String)`

  ### writeChar

      void writeChar(int unicodeChar)
                     throws java.io.IOException

    Writes a Unicode character into the message buffer at the present position.

    Parameters:
      `unicodeChar` - The Unicode character value.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.writeChar(int)`

  ### writeChars

      void writeChars(java.lang.String str)
                      throws java.io.IOException

    Writes a string as a sequence of Unicode characters into the message buffer at the current position.

    Parameters:
      `str` - The String value.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.writeChars(String)`

  ### writeDouble

      void writeDouble(double doubleValue)
                       throws java.io.IOException

    Writes a double into the message buffer at the present position. The actions of this method are determined by the value of the encoding member variable.

    A value of MQC.MQENC_FLOAT_IEEE_NORMAL or MQC.MQENC_FLOAT_IEEE_REVERSED write IEEE standard floats in big-endian and little-endian formats respectively. A value of MQC.MQENC_FLOAT_S390 writes a System/390 format floating point number. The range of IEEE doubles is greater than the range of S/390 double precision floating point numbers. Very large numbers cannot be converted.

    Parameters:
      `doubleValue` - The number of characters to read (not the same as the number of bytes).
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.writeDouble(double)`

  ### writeFloat

      void writeFloat(float floatValue)
                      throws java.io.IOException

    Writes a float into the message buffer at the present position. The actions of this method are determined by the value of the encoding member variable.

    A Value of MQC.MQENC_FLOAT_IEEE_NORMAL or MQC.MQENC_FLOAT_IEEE_REVERSED write IEEE standard floats in big-endian and little-endian formats respectively. A value of MQC.MQENC_FLOAT_S390 writes a System/390 format floating point number.

    Parameters:
      `floatValue` - The float value.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.writeFloat(float)`

  ### writeInt

      void writeInt(int intValue)
                    throws java.io.IOException

    Writes an integer into the message buffer at the present position. The actions of this method are determined by the value of the encoding member variable.

    A value of MQC.MQENC_INTEGER_NORMAL writes a big-endian integer. A value of MQC.MQENC_INTEGER_REVERSED writes a little-endian integer.

    Parameters:
      `intValue` - The int value.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.writeInt(int)`

  ### writeInt4

      void writeInt4(int intValue)
                     throws java.io.IOException

    Writes an integer into the message buffer at the present position. The actions of this method are determined by the value of the encoding member variable.

    Parameters:
      `intValue` - The int value.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.writeInt4(int)`

  ### writeLong

      void writeLong(long longValue)
                     throws java.io.IOException

    Writes a long into the message buffer at the present position. The actions of this method are determined by the value of the encoding member variable.

    A value of MQC.MQENC_INTEGER_NORMAL writes a big-endian long. A value of MQC.MQENC_INTEGER_REVERSED writes a little-endian long.

    Parameters:
      `longValue` - The long value.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.writeLong(long)`

  ### writeInt8

      void writeInt8(long longValue)
                     throws java.io.IOException

    Writes an integer into the message buffer at the present position. The actions of this method are determined by the value of the encoding member variable.

    Parameters:
      `longValue` - The long value.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.writeInt8(long)`

  ### writeObject

      void writeObject(java.lang.Object objValue)
                       throws java.io.IOException

    Writes the specified object, object class, class signature, and the values of the nontransient and non-static fields of the class and all its supertypes.

    Parameters:
      `objValue` - The object value.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.writeObject(Object)`

  ### writeShort

      void writeShort(int shortValue)
                      throws java.io.IOException

    Writes a short into the message buffer at the present position. The actions of this method are determined by the value of the encoding member variable.

    A value of MQC.MQENC_INTEGER_NORMAL writes a big-endian short. A value of MQC.MQENC_INTEGER_REVERSED writes a little-endian short.

    Parameters:
      `shortValue` - The short value.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.writeShort(int)`

  ### writeInt2

      void writeInt2(int shortValue)
                     throws java.io.IOException

    Writes an integer into the message buffer at the present position. The actions of this method are determined by the value of the encoding member variable.

    Parameters:
      `shortValue` - The short value.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.writeInt2(int)`

  ### writeDecimal2

      void writeDecimal2(short decimal2Value)
                         throws java.io.IOException

    Writes a 2-byte packed decimal format number into the message buffer at the present position. The actions of this method are determined by the value of the encoding member variable.

    A value of MQC.MQENC_DECIMAL_NORMAL writes a big-endian packed decimal. A value of MQC.MQENC_DECIMAL_REVERSED writes a little-endian packed decimal.

    Parameters:
      `decimal2Value` - The 2-byte decimal value.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.writeDecimal2(short)`

  ### writeDecimal4

      void writeDecimal4(int decimal4Value)
                         throws java.io.IOException

    Writes an 4-byte packed decimal format number into the message buffer at the present position. The actions of this method are determined by the value of the encoding member variable.

    A value of MQC.MQENC_DECIMAL_NORMAL writes a big-endian packed decimal. A value of MQC.MQENC_DECIMAL_REVERSED writes a little-endian packed decimal.

    Parameters:
      `decimal4Value` - The 4-byte decimal value.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.writeDecimal4(int)`

  ### writeDecimal8

      void writeDecimal8(long decimal8Value)
                         throws java.io.IOException

    Writes an 8-byte packed decimal format number into the message buffer at the present position. The actions of this method are determined by the value of the encoding member variable.

    A value of MQC.MQENC_DECIMAL_NORMAL writes a big-endian packed decimal. A value of MQC.MQENC_DECIMAL_REVERSED writes a little-endian packed decimal.

    Parameters:
      `decimal8Value` - The 8-byte decimal value.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.writeDecimal8(long)`

  ### writeUTF

      void writeUTF(java.lang.String utfString)
                    throws java.io.IOException

    Writes a UTF string, prefixed by a 2-byte length field, into the message buffer at the present position.

    Parameters:
      `utfString` - The String value.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.writeUTF(String)`

  ### writeString

      void writeString(java.lang.String strValue)
                       throws java.io.IOException

    Writes a string into the message buffer at the present position, converting it to the codeset identified by the characterSet member variable.

    Parameters:
      `strValue` - The String value.
    Throws:
      `java.io.IOException` - Thrown when an error occurs.
    See Also:
      `MQMessage.writeString(String)`

  Package | Class | Tree | Deprecated | Index | Help
  | Sun Adapter for Websphere MQ API
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.